Scrape Google Maps search results
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.google.maps.search({ query: "coffee", location: "Austin, TX", openNow: true });
console.log(result.data.results);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.google.maps.search(query="coffee", location="Austin, TX", open_now=True)
print(result["data"]["results"])
curl -X POST https://api.stophy.dev/v1/google/maps/search \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"query":"coffee","location":"Austin, TX","openNow":true}'
stophy google maps search --query coffee --location "Austin, TX" --openNow
{
"success": true,
"data": {
"results": [
{
"placeId": "abc123",
"googlePlaceId": "abc123",
"placeUrl": "https://example.com/",
"name": "Example title",
"categories": [
"example"
],
"address": "example",
"latitude": 1,
"longitude": 1,
"rating": 4.5,
"reviews": 1234,
"photos": 1,
"phone": "example",
"website": "https://example.com/",
"description": "A short, readable summary of the result.",
"hours": [
{
"days": "example",
"times": [
"example"
]
}
],
"hoursToday": "example",
"openStatus": "example",
"timezone": "example",
"thumbnailUrl": "https://example.com/image.jpg",
"reservationUrl": "https://example.com/",
"attributes": [
"example"
]
}
],
"page": 1
},
"creditsUsed": 1,
"requestId": "e27d88d4-1b6f-4017-87cb-40f5102cbf1d"
}
Endpoints
| Endpoint | Cost |
|---|---|
| Scrape Google Maps search results | 1 credit (no key needed) |
| Scrape a Google Maps place’s details | 1 credit |
| Scrape a Google Maps place’s reviews | 1 credit (no key needed) |
| Scrape Tripadvisor search results | 1 credit |
| Scrape a Tripadvisor place page | 1 credit |
| Scrape a Tripadvisor place’s reviews | 1 credit |
| Scrape Google Hotels results with prices and ratings | 1 credit |
| Scrape Google Flights results with prices and times | 1 credit |
| Scrape Airbnb search results with prices | 1 credit |
| Scrape an Airbnb listing’s details, host, amenities, ratings and price | 1 credit |
| Scrape an Airbnb listing’s guest reviews | 1 credit |
| Scrape Booking.com search results with prices | 1 credit |
| Scrape a Booking.com hotel page | 1 credit |
| Scrape a Booking.com hotel’s guest reviews | 1 credit |
More ways to call it
Scrape Google Hotels results with prices and ratings
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.google.hotels({ query: "Lisbon", checkIn: "2026-11-23" });
console.log(result.data.results);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.google.hotels(query="Lisbon", check_in="2026-11-23")
print(result["data"]["results"])
curl -X POST https://api.stophy.dev/v1/google/hotels \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"query":"Lisbon","checkIn":"2026-11-23"}'
stophy google hotels Lisbon --checkIn 2026-11-23
Scrape Google Flights results with prices and times
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.google.flights({ origin: "JFK", destination: "LAX", departDate: "2026-11-23" });
console.log(result.data.results);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.google.flights(origin="JFK", destination="LAX", depart_date="2026-11-23")
print(result["data"]["results"])
curl -X POST https://api.stophy.dev/v1/google/flights \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"origin":"JFK","destination":"LAX","departDate":"2026-11-23"}'
stophy google flights --origin JFK --destination LAX --departDate 2026-11-23
Google Maps search and Google Maps reviews work without a key. Pass the place id from a Google Maps search, or the place link from a Tripadvisor search, into that source’s other endpoints.